ClassWorld (classworlds 1.0-rc1 API)
Keywords: com.werken.classworlds.ClassWorld,ClassWorld class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.werken.classworlds
Class ClassWorld

    java.lang.Object
      |
      +--com.werken.classworlds.ClassWorld

public class ClassWorld
extends java.lang.Object

A collection of `ClassRealm`s, indexed by id.

Version:
  $Id: ClassWorld.java,v 1.4 2002/09/24 20:11:36 bob Exp $
Author:
  bob mcwhirter

Constructor Summary
`ClassWorld()` Construct.

Method Summary
`ClassRealm` | `getRealm(java.lang.String id)` Retrieve a `ClassRealm` by its id.
`java.util.Collection` | `getRealms()` Retrieve the collection of all `ClassRealm`s in this world.
`ClassRealm` | `newRealm(java.lang.String id)` Create a new `ClassRealm`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassWorld

    public ClassWorld()

  Construct.

Method Detail

### newRealm

    public ClassRealm newRealm(java.lang.String id)
                        throws DuplicateRealmException

  Create a new `ClassRealm`.

  Parameters:
    `id` - The realm id.
  Returns:
    The newly created realm.
  Throws:
    `DuplicateRealmException` - If this class-world already contains a realm with the specified id.

### getRealm

    public ClassRealm getRealm(java.lang.String id)
                        throws NoSuchRealmException

  Retrieve a `ClassRealm` by its id.

  Parameters:
    `id` - The id.
  Returns:
    The matching class-realm.
  Throws:
    `NoSuchRealmException` - If the id does not correspond to any known class-realm.

### getRealms

    public java.util.Collection getRealms()

  Retrieve the collection of all `ClassRealm`s in this world.

  Returns:
    The collectio of class-realms.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 The Werken Company. All Rights Reserved.